#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Modules providing phone functionality for Plasma
Name:           plasma-phone-components
Version: 5.20.4
Release:        %mkrel %rel
License:        GPLv2+ LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://cgit.kde.org/plasma-phone-components.git
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)

# KDE Frameworks
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5People)
BuildRequires:  cmake(KF5PlasmaQuick)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Notifications)

BuildRequires:  cmake(KF5Wayland)
BuildRequires:  cmake(TelepathyQt5)

BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  phonenumber-devel

%description
UI components for Plasma Phone.

%files -f %name.lang
%doc README.md
%license COPYING*
%_kf5_bindir/kwinwrapper
%_kf5_qmldir/org/kde/plasma/private/mobileshell/
%_qt5_plugindir/plasma/applets/*.so
%_kf5_metainfodir/*.appdata.xml
%_kf5_services/*.desktop
%_kf5_datadir/kwin/scripts/org.kde.phone.multitasking/
%_kf5_datadir/plasma/look-and-feel/org.kde.plasma.phone/
%_kf5_datadir/plasma/plasmoids/org.kde.phone.activities/
%_kf5_datadir/plasma/plasmoids/org.kde.phone.homescreen/
%_kf5_datadir/plasma/plasmoids/org.kde.phone.krunner/
%_kf5_datadir/plasma/plasmoids/org.kde.phone.panel/
%_kf5_datadir/plasma/plasmoids/org.kde.phone.taskpanel/
%_kf5_datadir/plasma/shells/org.kde.plasma.phone/
%_kf5_datadir/sounds/sitter/
%_kf5_datadir/wayland-sessions/plasma-mobile.desktop

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5 -Wno-dev
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Mon Dec 07 2020 daviddavid <daviddavid> 5.20.4-1.mga8
+ Revision: 1654210
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 5.20.3-1.mga8
+ Revision: 1645432
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 5.20.2-1.mga8
+ Revision: 1640001
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 5.20.1-1.mga8
+ Revision: 1637754
- New version 5.20.1

* Wed Oct 14 2020 daviddavid <daviddavid> 5.20.0-1.mga8
+ Revision: 1635642
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 5.19.5-1.mga8
+ Revision: 1620801
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 5.19.4-1.mga8
+ Revision: 1609619
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 5.19.3-1.mga8
+ Revision: 1603018
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 5.19.2-1.mga8
+ Revision: 1598733
- New version 5.19.2

* Thu Jun 18 2020 daviddavid <daviddavid> 5.19.1-1.mga8
+ Revision: 1595973
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 5.18.5-1.mga8
+ Revision: 1580777
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 5.18.3-1.mga8
+ Revision: 1557176
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 5.18.2-1.mga8
+ Revision: 1550392
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 5.18.1-1.mga8
+ Revision: 1548264
- New version 5.18.1

* Wed Feb 12 2020 daviddavid <daviddavid> 5.18.0-1.mga8
+ Revision: 1496334
- New version 5.18.0

* Fri Feb 07 2020 daviddavid <daviddavid> 5.17.90-1.mga8
+ Revision: 1487780
- initial package plasma-phone-components

